Subject: categories: Syntax question on diagxy

From: Michael Barr <[email-masked]>
Date: Sat, 28 Apr 2001 20:26:23 -0400 (EDT)

I have a question for all you who are interested in diagxy.  There is an
inconsistency in the current version that is caused by attempting to keep
it similar to the old diagram.  In all the procedures except \morphism,
the basic syntax includes a string [N`..`N;L`..`L] where the N's represent
nodes and the L's labels.  The exception is \morphism, where it is
[N`N`L].  I must have done it that way 15 years ago because there were
only three arguments and it didn't seem necessary to have different
separators.  There are still only those three arguments, but the
inconsistency bothers me.  Now is the time to change it, since once it is
in general release it will be impossible.  Right now, it is a trivial
change to make it [N`N;L] and I am getting ready for general release.  I
would like it to be in the next version of the CTAN disks.  If I don't
hear from anyone, I am inclined to make the change.

Michael